Package net.shibboleth.idp.attribute.resolver.spring.dc.impl

# Class StaticDataConnectorParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser
net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser
net.shibboleth.idp.attribute.resolver.spring.dc.impl.StaticDataConnectorParser

All Implemented Interfaces:
  `BeanDefinitionParser`

public class StaticDataConnectorParser extends AbstractDataConnectorParser
Bean definition Parser for a `StaticDataConnector`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final QName`
`ATTRIBUTE_ELEMENT_NAME`
Local name of attribute.
`private final org.slf4j.Logger`
`log`
Class logger.
`static final QName`
`TYPE_NAME`
Schema type - resolver.

### Fields inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`ATTR_EXPORT_NAMES, ATTR_FAIL_FAST, ATTR_NORETRYDELAY, ELEMENT_NAME, FAIL_FAST_DEFAULT, FAILOVER_DATA_CONNECTOR_ELEMENT_NAME`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`StaticDataConnectorParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doParse(Element config, ParserContext parserContext, BeanDefinitionBuilder builder)`
`protected boolean`
`failOnDependencies()`
Controls parsing of Dependencies.
`protected final Class<StaticDataConnector>`
`getBeanClass(Element element)`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.dc.AbstractDataConnectorParser

`getLogPrefix`

### Methods inherited from class net.shibboleth.idp.attribute.resolver.spring.BaseResolverPluginParser

`getActivationCondition, getDefinitionId, warnOnDependencies`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_NAME

@Nonnull public static final QName TYPE_NAME
Schema type - resolver.

### ATTRIBUTE_ELEMENT_NAME

@Nonnull public static final QName ATTRIBUTE_ELEMENT_NAME
Local name of attribute.

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### StaticDataConnectorParser

public StaticDataConnectorParser()

## Method Details

### getBeanClass

@Nullable protected final Class<StaticDataConnector> getBeanClass(@Nonnull Element element)

Overrides:
  `getBeanClass` in class `AbstractSingleBeanDefinitionParser`

### doParse

protected void doParse(@Nonnull Element config, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)

Overrides:
  `doParse` in class `AbstractDataConnectorParser`

### failOnDependencies

protected boolean failOnDependencies()
Controls parsing of Dependencies. If it is considered an invalid configuration for this resolver to have Dependency statements, return true. The surrounding logic will fail the parse.

Overrides:
  `failOnDependencies` in class `BaseResolverPluginParser`
Returns:
  false - by default.